InvalidValueHelper (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynAnyPackage.InvalidValueHelper class
Date: 2026-07-22

org.omg.DynamicAny.DynAnyPackage

## Class InvalidValueHelper

- java.lang.Object
- - org.omg.DynamicAny.DynAnyPackage.InvalidValueHelper

-     public abstract class InvalidValueHelper
      extends Object

  org/omg/DynamicAny/DynAnyPackage/InvalidValueHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /startdir/src/jdk8u-jdk8u502-b07/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Wednesday, July 22, 2026 4:56:54 PM GMT

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidValueHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvalidValue` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, InvalidValue that)`
    `static InvalidValue` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, InvalidValue value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidValueHelper

          public InvalidValueHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    InvalidValue that)

    - #### extract

          public static InvalidValue extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static InvalidValue read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   InvalidValue value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.